import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ToggleComponent {
    private uniqueIdService;
    private _error;
    set error(value: string);
    get error(): string;
    set disabled(value: boolean);
    private _helper;
    set helper(value: string);
    get helper(): string;
    /** @internal */
    id: string;
    /** @internal */
    checked$: BehaviorSubject<boolean>;
    /** @internal */
    disabled$: BehaviorSubject<boolean>;
    constructor(uniqueIdService: UniqueIdService);
    /** @ignore */
    change($event: any): void;
    /**
     * Method to call when value has changes.
     * @ignore
     */
    propagateChange: (_: boolean) => void;
    /**
     * Method to call when the component is touched (when it was is clicked).
     * @ignore
     */
    propagateTouched: () => void;
    /**
     * update value from model to the component
     * @ignore
     */
    writeValue(value: boolean): void;
    /**
     * Informs the outside world about changes.
     * see method propagateChange call - this.propagateChange(this.model);
     * @ignore
     */
    registerOnChange(fn: any): void;
    /**
     * on click
     * @ignore
     */
    registerOnTouched(fn: any): void;
    /**
     * on set form controll enabled / disabled
     * also do UI Component enabled / disabled
     * @ignore
     */
    setDisabledState?(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToggleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToggleComponent, "fusion-toggle", never, { "error": { "alias": "error"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "helper": { "alias": "helper"; "required": false; }; }, {}, never, ["*"], true, never>;
}
